- Home
- API Enriched
- Sites
- config
- Configure Azure VNet Site Information.
Configure Azure VNet Site Information.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/azure_vnet_site/example/set_cloud_site_info';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"azure_vnet_info":{"express_route_info":{"route_server_asn":1,"route_server_ips":["example"]},"node_info":[{"node_id":"example","node_instance_name":"example"}],"private_ips":["example"],"public_ips":["example"],"spoke_vnet_prefix_info":[{"prefixes":["example"],"vnet":{"f5_orchestrated_routing":{},"manual_routing":{},"resource_group":"example","vnet_name":"example"}}],"vnet":{"resource_id":"example","vnet_name":"example"}},"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/azure_vnet_site/example/set_cloud_site_info \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "azure_vnet_info": { "express_route_info": { "route_server_asn": 1, "route_server_ips": [ "example" ] }, "node_info": [ { "node_id": "example", "node_instance_name": "example" } ], "private_ips": [ "example" ], "public_ips": [ "example" ], "spoke_vnet_prefix_info": [ { "prefixes": [ "example" ], "vnet": { "f5_orchestrated_routing": {}, "manual_routing": {}, "resource_group": "example", "vnet_name": "example" } } ], "vnet": { "resource_id": "example", "vnet_name": "example" } }, "name": "example", "namespace": "example" }'Configure Azure VNet Site Information like public, private ips, subnet IDs and others.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for the object to be configured.
Name Name of the object to be configured.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to configure Cloud Site Information.
object
object
object
Route Server ASN.
Route Server IPs.
Azure Node Name.
Node Instance Name.
object
Node ID Information Required: YES.
Node Instance Name used by dataplane.
Azure VM Private IPs used by the nodes Required: YES.
Azure VM Public IPs used by the nodes Required: YES.
Azure Spoke VNet Prefix Information.
Azure VNet IP prefixes Info.
object
An unordered list of IP prefixes. Required: YES.
object
object
object
Resource group of existing VNet Required: YES.
Name of existing VNet Required: YES.
object
VNet Resource ID.
VNet Name
Name of the object to be configured.
Namespace for the object to be configured.
Examplegenerated
{ "azure_vnet_info": { "express_route_info": { "route_server_asn": 1, "route_server_ips": [ "example" ] }, "node_info": [ { "node_id": "example", "node_instance_name": "example" } ], "private_ips": [ "example" ], "public_ips": [ "example" ], "spoke_vnet_prefix_info": [ { "prefixes": [ "example" ], "vnet": { "f5_orchestrated_routing": {}, "manual_routing": {}, "resource_group": "example", "vnet_name": "example" } } ], "vnet": { "resource_id": "example", "vnet_name": "example" } }, "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response to configure configure Cloud Site Information.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example